function Controller() {
    function setData(data) {
        var rowData = [];
        var tempColor = "#000000";
        19 * Ti.Platform.displayCaps.logicalDensityFactor;
        var sections = [];
        var weatherSection = Ti.UI.createListSection({});
        try {
            for (var i = 0; data.length > i; i++) if (data[i].i.length > 0) {
                var _precip = "Precip: " + data[i].p.toString() + "%";
                var _wind = "Wind: " + data[i].w.toString() + " at " + data[i].s.toString() + " mph";
                var _temp = data[i].t.toString() + " F";
                var intTemp = parseInt(data[i].t, 10);
                tempColor = 32 >= intTemp ? "#1259D5" : intTemp >= 95 ? "#FF0000" : "#000000";
                rowData.push({
                    hourLbl: {
                        text: data[i].h
                    },
                    skyConditionsLbl: {
                        text: data[i].c
                    },
                    precipLbl: {
                        text: _precip
                    },
                    windLbl: {
                        text: _wind
                    },
                    temperatureLbl: {
                        text: _temp,
                        color: tempColor
                    },
                    wxImage: {
                        image: "/images/nwsicons/" + data[i].i
                    }
                });
            }
        } catch (e) {}
        weatherSection.setItems(rowData);
        sections.push(weatherSection);
        lvHourly.setSections(sections);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "testView";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.main = Ti.UI.createView({
        bottom: 100,
        left: 0,
        width: 320,
        id: "main",
        navBarHidden: "true"
    });
    $.__views.main && $.addTopLevelView($.__views.main);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var hourlyTemplate = {
        childTemplates: [ {
            type: "Ti.UI.Label",
            bindId: "hourLbl",
            properties: {
                height: Ti.UI.SIZE,
                width: "225dp",
                left: "10dp",
                top: "0dp",
                textAlign: Ti.UI.TEXT_ALIGNEMENT_LEFT,
                color: "#000000",
                font: {
                    fontSize: "16dp",
                    fontWeight: "bold"
                }
            }
        }, {
            type: "Ti.UI.Label",
            bindId: "temperatureLbl",
            properties: {
                height: Ti.UI.SIZE,
                width: Ti.UI.FILL,
                left: "85dp",
                top: "25dp",
                textAlign: Ti.UI.TEXT_ALIGNEMENT_RIGHT,
                color: "#000000",
                font: {
                    fontSize: "16dp",
                    fontWeight: "bold"
                }
            }
        }, {
            type: "Ti.UI.Label",
            bindId: "skyConditionsLbl",
            properties: {
                height: Ti.UI.SIZE,
                width: Ti.UI.FILL,
                left: "85dp",
                top: "45dp",
                textAlign: Ti.UI.TEXT_ALIGNEMENT_LEFT,
                color: "#000000",
                font: {
                    fontSize: "14dp"
                }
            }
        }, {
            type: "Ti.UI.Label",
            bindId: "precipLbl",
            properties: {
                height: Ti.UI.SIZE,
                width: Ti.UI.FILL,
                left: "85dp",
                top: "65dp",
                textAlign: Ti.UI.TEXT_ALIGNEMENT_LEFT,
                color: "#000000",
                font: {
                    fontSize: "14dp"
                }
            }
        }, {
            type: "Ti.UI.Label",
            bindId: "windLbl",
            properties: {
                height: Ti.UI.SIZE,
                width: Ti.UI.FILL,
                left: "85dp",
                top: "85dp",
                textAlign: Ti.UI.TEXT_ALIGNEMENT_LEFT,
                color: "#000000",
                font: {
                    fontSize: "14dp"
                }
            }
        }, {
            type: "Ti.UI.ImageView",
            bindId: "wxImage",
            properties: {
                top: "30dp",
                left: "10dp",
                height: "58dp",
                width: "55dp"
            }
        } ],
        properties: {
            allowsSelection: false,
            height: "110dp"
        }
    };
    var lvHourly = Ti.UI.createListView({
        templates: {
            template: hourlyTemplate
        },
        defaultItemTemplate: "template"
    });
    $.main.add(lvHourly);
    var data = [ {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "1pm",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "2pm",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "3pm",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "4pm",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "5pm",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "6pm",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "7pm",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "8pm",
        c: "Hot"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "9pm",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "10pm",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "11pm",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "12am",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "1am",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "2am",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "3am",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "4am",
        c: "Hot"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "5am",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "6am",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "7am",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "8am",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "9am",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "10am",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "11am",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "12pm",
        c: "Hot"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "1pm",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "2pm",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "3pm",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "4pm",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "5pm",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "6pm",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "7pm",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "8pm",
        c: "Hot"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "9pm",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "10pm",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "11pm",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "12am",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "1am",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "2am",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "3am",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "4am",
        c: "Hot"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "5am",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "6am",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "7am",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "8am",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "9am",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "10am",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "11am",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "12pm",
        c: "Hot"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "1pm",
        c: "Clear"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "2pm",
        c: "Cloudy"
    }, {
        i: "hi_tsra.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "3pm",
        c: "Windy"
    }, {
        i: "sleet.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "4pm",
        c: "Snowing"
    }, {
        i: "tstormn.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "5pm",
        c: "Hurricane"
    }, {
        i: "hi_skc.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "6pm",
        c: "Drizzle"
    }, {
        i: "wind.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "7pm",
        c: "Raining"
    }, {
        i: "hot.jpg",
        p: "50",
        w: "SW",
        s: "20",
        t: "73",
        h: "8pm",
        c: "Alien Invasion"
    } ];
    setData(data);
    exports.refresh = function() {
        setData(data);
    };
    exports.hide = function() {
        $.main.animate({
            left: -Alloy.Globals.displayWidth,
            duration: 300
        }, function() {
            $.main.visible = false;
        });
    };
    exports.show = function() {
        $.main.visible = true;
        $.main.animate({
            left: 0,
            duration: 300
        }, function() {});
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;